| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_HID_Host_t Struct Reference
HID Class Host Mode Driver

## Detailed Description

HID Class Host Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made within the user application, and passed to each of the HID class driver functions as the `HIDInterfaceInfo` parameter. This stores each HID interface's configuration and state information.

Definition at line 75 of file HIDClassHost.h.

`#include "HIDClassHost.h"`

## Data Fields
struct {
uint8_t DataINPipeNumber
bool DataINPipeDoubleBank
uint8_t DataOUTPipeNumber
bool DataOUTPipeDoubleBank
uint8_t HIDInterfaceProtocol
HID_ReportInfo_t * HIDParserData
uint8_t PortNumber
} | Config
struct {
bool IsActive
uint8_t InterfaceNumber
uint16_t DataINPipeSize
uint16_t DataOUTPipeSize
bool SupportsBootProtocol
bool DeviceUsesOUTPipe
bool UsingBootProtocol
uint16_t HIDReportSize
uint8_t LargestReportSize
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

bool DataINPipeDoubleBank

Indicates if the HID interface's IN data pipe should use double banking.

Definition at line 80 of file HIDClassHost.h.

uint8_t DataINPipeNumber

Pipe number of the HID interface's IN data pipe.

Definition at line 79 of file HIDClassHost.h.

uint16_t DataINPipeSize

Size in bytes of the HID interface's IN data pipe.

Definition at line 111 of file HIDClassHost.h.

bool DataOUTPipeDoubleBank

Indicates if the HID interface's OUT data pipe should use double banking.

Definition at line 83 of file HIDClassHost.h.

uint8_t DataOUTPipeNumber

Pipe number of the HID interface's OUT data pipe.

Definition at line 82 of file HIDClassHost.h.

uint16_t DataOUTPipeSize

Size in bytes of the HID interface's OUT data pipe.

Definition at line 112 of file HIDClassHost.h.

bool DeviceUsesOUTPipe

Indicates if the current interface instance uses a separate OUT data pipe for OUT reports, or if OUT reports are sent via the control pipe instead.

Definition at line 117 of file HIDClassHost.h.

uint8_t HIDInterfaceProtocol

HID interface protocol value to match against if a specific boot subclass protocol is required, a protocol value from the HID_Descriptor_ClassSubclassProtocol_t enum.

Definition at line 85 of file HIDClassHost.h.

HID_ReportInfo_t* HIDParserData

HID parser data to store the parsed HID report data, when boot protocol is not used.

Note
  When the `HID_HOST_BOOT_PROTOCOL_ONLY` compile time token is defined, this method is unavailable.

Definition at line 90 of file HIDClassHost.h.

uint16_t HIDReportSize

Size in bytes of the HID report descriptor in the device.

Definition at line 121 of file HIDClassHost.h.

uint8_t InterfaceNumber

Interface index of the HID interface within the attached device.

Definition at line 109 of file HIDClassHost.h.

bool IsActive

Indicates if the current interface instance is connected to an attached device, valid after HID_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

Definition at line 105 of file HIDClassHost.h.

uint8_t LargestReportSize

Largest report the device will send, in bytes.

Definition at line 123 of file HIDClassHost.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 98 of file HIDClassHost.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

bool SupportsBootProtocol

Indicates if the current interface instance supports the HID Boot Protocol when enabled via HID_Host_SetBootProtocol().

Definition at line 114 of file HIDClassHost.h.

bool UsingBootProtocol

Indicates that the interface is currently initialized in Boot Protocol mode

Definition at line 120 of file HIDClassHost.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Host/HIDClassHost.h